{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"**This endpoint allows you to update an existing Sender Identity**.\n\nPass the `id` assigned to a Sender Identity to this endpoint as a path parameter. Include any fields you wish to update in the request body in JSON format.\n\nYou can retrieve the IDs associated with Sender Identities by passing a `GET` request to the Get All Verified Senders endpoint, `/verified_senders`.\n\n**Note:** Unlike a `PUT` request, `PATCH` allows you to update only the fields you wish to edit. Fields that are not passed as part of a request will remain unaltered.","properties":{"path":{"type":"object","properties":{"id":{"type":"string"}},"required":["id"],"additionalProperties":false},"body":{"$ref":"#/definitions/VerifiedSenderRequest"}},"required":["path"],"additionalProperties":false,"definitions":{"VerifiedSenderRequest":{"title":"Verified Sender Request Schema","type":"object","properties":{"nickname":{"type":"string","maxLength":100},"from_email":{"type":"string","maxLength":256,"format":"email"},"from_name":{"type":"string","maxLength":256},"reply_to":{"type":"string","maxLength":256,"format":"email"},"reply_to_name":{"type":"string","maxLength":256},"address":{"type":"string","maxLength":100},"address2":{"type":"string","maxLength":100},"state":{"type":"string","maxLength":2},"city":{"type":"string","maxLength":150},"zip":{"type":"string","maxLength":10},"country":{"type":"string","maxLength":100}},"required":["nickname","from_email","reply_to"],"examples":[{"nickname":"Orders","from_email":"orders@example.com","from_name":"Example Orders","reply_to":"orders@example.com","reply_to_name":"Example Orders","address":"1234 Fake St","address2":"PO Box 1234","state":"CA","city":"San Francisco","country":"USA","zip":"94105"}]}}},"name":"Edit Verified Sender","id":"sendgrid.verified_senders.updateverifiedsender","example":{"path":{"id":"example"}},"maxRequests":1,"summary":false}}